class PagesController < ApplicationController
  
  def index
    @page = Page.find_by_name('root')
    if @page
      render_liquid_page
    else
      render :text => 'You need a home page'
    end
  end
  
  def show    
    @page = Page.find_by_name(params[:page_name])
    
    if @page && !@page.external_link.blank?
      redirect_to @page.external_link
    else
      render_liquid_page
    end
    
  end
  
end
